%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-kaa-metadata
Version:        0.7.3
Release:        1%{?dist}
Summary:        The Kaa Media - metadata binding for python

Group:          Development/Languages
License:        GPLv2+
URL:            http://www.freevo.org/kaa
Source0:        http://downloads.sourceforge.net/freevo/kaa-metadata-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-kaa-base >= 0.4.0
BuildRequires:  libdvdread-devel >= 0.9.5
Requires:  python-kaa-base >= 0.4.0

Obsoletes: mmpython < 0.4.11



%description
The Kaa Media Repository is a set of python modules related to media.

Kaa modules are based on parts from Freevo and modules created for MeBox. 
Kaa exists to encourage code sharing between these projects, and to serve as 
an umbrella for several previously disparate media-related modules in order 
to make them available from one (unique) namespace. Kaa provides a base module 
that implements the common features needed for application development, such as
mainloop management, timers, signals, callbacks, file descriptor monitors, etc.
Kaa's other modules provide specific media-related functionality, such as 
retrieving metadata on arbitrary media files (kaa.metadata, previously 
called mmpython), Python wrappers for Imlib2, Xine, and Evas, and many other 
high level APIs for easily creating applications that deal with video and 
audio.

Kaa is named after the python in the Jungle Book by Rudyard Kipling.


%prep
%setup -q -n kaa-metadata-%{version}


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Fix perms
find $RPM_BUILD_ROOT -name "*.py" |xargs chmod 0644

# Removed unneeded shebang
sed -i -e 's|#!/usr/bin/env python|#|' $RPM_BUILD_ROOT%{python_sitearch}/kaa/metadata/disc/CDDB.py

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/mminfo
%{python_sitearch}/*


%changelog
* Tue Mar 25 2008 kwizart < kwizart at gmail.com > - 0.7.3-1
- Update to 0.7.3

* Wed Feb 13 2008 kwizart < kwizart at gmail.com > - 0.7.2-1
- Update to 0.7.2

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 0.7.1-2
- Rebuild for gcc43

* Wed Dec 26 2007 kwizart < kwizart at gmail.com > - 0.7.1-1
- Update to 0.7.1

* Sun Aug 26 2007 kwizart < kwizart at gmail.com > - 0.6.1-5
- Rebuild for BuildID
- Update the License field

* Tue May  1 2007 kwizart < kwizart at gmail.com > - 0.6.1-4
- Fix Obsolete also for mmpython 0.4.10

* Sat Apr 21 2007 kwizart < kwizart at gmail.com > - 0.6.1-3
- Add missing Requires for python packages

* Fri Apr 20 2007 kwizart < kwizart at gmail.com > - 0.6.1-2
- Obsolete/provides mmpython version 0.4.10

* Wed Apr 18 2007 kwizart < kwizart at gmail.com > - 0.6.1-1
- Update to 0.6.1

* Mon Jan 1 2007 TC Wan <tcwan@cs.usm.my>
- Initial SPEC file
